import ModuleTitle from '@/components/ManagementPage/moduleTitle';
import { useNavigate, useParams } from '@umijs/max';
import styles from './index.less';
const SmartReport = () => {
  const navigate = useNavigate();
  const { projectId } = useParams();

  return (
    <div className={styles.page}>
      <div className={styles.head}>
        <div>
          <div className={styles.name}>智慧运营报告</div>
          <div className={styles.photo}>11月9日-11月15日</div>
        </div>
        <div>时间：</div>
      </div>
      <div className={styles.box}>
        <div className={styles.left}>概览</div>
        <div className={styles.title}>无锡锡山水厂</div>
        <div className={styles.content}>
          <div className={styles.item}>智慧运营天数：2732天</div>
          <div className={styles.item}>智慧运营天数：2732天</div>
          <div className={styles.item}>智慧运营天数：2732天</div>
          <div className={styles.item}>智慧运营天数：2732天</div>
          <div className={styles.item}>智慧运营天数：2732天</div>
          <div className={styles.item}>智慧运营天数：2732天</div>
          <div className={styles.item}>智慧运营天数：2732天</div>
          <div className={styles.item}>智慧运营天数：2732天</div>
        </div>
      </div>
      <div className={styles.box}>
        <ModuleTitle title="水量" />
        <div className={styles.content}>
          <div className={styles.item}>累积进水：12343t</div>
          <div className={styles.item}>累积出水：12232t</div>
        </div>
      </div>
      <div className={styles.box}>
        <ModuleTitle title="能耗" />
        <div className={styles.content}>
          <div className={styles.item}>吨水电耗：122kwh</div>
          <div className={styles.item}>累积耗电量：12</div>
        </div>
      </div>
      <div className={styles.box}>
        <ModuleTitle title="药耗" />
        <div className={styles.content}>
          <div className={styles.item}>吨水药耗：12</div>
          <div className={styles.item}>累积用药量：122kwh</div>
        </div>
      </div>
      <div className={styles.box}>
        <ModuleTitle title="系统自检" />
        <div className={styles.threeContent}>
          <div className={styles.numItem}>
            <div>12333</div>
            <div>自检次数</div>
          </div>
          <div className={styles.numItem}>
            <div>12333</div>
            <div>自检次数</div>
          </div>
          <div className={styles.numItem}>
            <div>12333</div>
            <div>自检次数</div>
          </div>
        </div>
        <div>异常类型统计（设备异常、工艺异常、安全隐患异常）</div>
      </div>
      <div className={styles.box}>
        <ModuleTitle title="智慧运营" />
        <div className={styles.smartText}>智慧运营本周累计节省金额：234元</div>
        <div className={styles.smartText}>累积用药量：122kwh</div>
      </div>
      <div className={styles.box}>
        <ModuleTitle title="任务工单" />
        <div className={styles.content}>
          <div className={styles.item}>任务数量：1234</div>
          <div className={styles.item}>工单数量：234</div>
          <div className={styles.item}>任务数量：1234</div>
          <div className={styles.item}>工单数量：234</div>
          <div className={styles.item}>任务数量：1234</div>
          <div className={styles.item}>工单数量：234</div>
        </div>
      </div>
      <div className={styles.box}>
        <ModuleTitle title="设备维修保养" />
        <div className={styles.content}>
          <div className={styles.item}>维修数量：12</div>
          <div className={styles.item}>保养数量：12</div>
        </div>
      </div>
    </div>
  );
};
export default SmartReport;
